Page MenuHomeFreeBSD

Add BUGS section about pwrite(2)
ClosedPublic

Authored by khng on Jan 27 2021, 4:45 PM.

Details

Summary

Add a BUGS section about using pwrite(2) when O_APPEND
is set on the fd.

Submitted by: Ka Ho Ng
MFC after: 3 days

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

khng requested review of this revision.Jan 27 2021, 4:45 PM
khng edited the summary of this revision. (Show Details)
gbe added a subscriber: gbe.

LGTM from the manpages perspective.

@emaste, if write(2) isn't working as specified by POSIX, the libc should maybe updated.

@gbe : do we need to update .Dd field for this change?

ygy added a subscriber: ygy.

LGTM on the doc side, please update .Dd when committing, thanks ;)

This revision is now accepted and ready to land.Feb 11 2021, 1:59 PM
yuripv added inline comments.
lib/libc/sys/write.2
305–306

nitpicking: this could be one line

  • Make "contrary to" one-line
This revision now requires review to proceed.Feb 11 2021, 3:14 PM
khng marked an inline comment as done.Feb 11 2021, 3:14 PM

@gbe : do we need to update .Dd field for this change?

Done.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 20 2021, 8:07 AM
This revision was automatically updated to reflect the committed changes.